import React from "react";
import { IAccuracyOption } from "./AccuracyMetrics";
import { IBinnedResponse } from "./IBinnedResponse";
import { IFairnessContext } from "./IFairnessContext";
import { IFairnessProps } from "./IFairnessProps";
import { MetricsCache } from "./MetricsCache";
export interface IAccuracyPickerProps {
    accuracyOptions: IAccuracyOption[];
    selectedAccuracyKey: string;
    onAccuracyChange: (newKey: string) => void;
}
export interface IParityPickerProps {
    parityOptions: IAccuracyOption[];
    selectedParityKey: string;
    onParityChange: (newKey: string) => void;
}
export interface IFeatureBinPickerProps {
    featureBins: IBinnedResponse[];
    selectedBinIndex: number;
    onBinChange: (index: number) => void;
}
export interface IWizardState {
    activeTabKey: string;
    selectedModelId?: number;
    dashboardContext: IFairnessContext;
    accuracyMetrics: IAccuracyOption[];
    parityMetrics: IAccuracyOption[];
    selectedAccuracyKey: string;
    selectedParityKey: string;
    featureBins: IBinnedResponse[];
    selectedBinIndex: number;
    metricCache: MetricsCache;
}
export declare class FairnessWizard extends React.PureComponent<IFairnessProps, IWizardState> {
    private static iconsInitialized;
    private selections;
    constructor(props: IFairnessProps);
    private static initializeIcons;
    private static buildModelNames;
    private static buildInitialFairnessContext;
    private static buildPrecomputedFairnessContext;
    private static getClassLength;
    private static buildPrecomputedModelMetadata;
    private static buildModelMetadata;
    private static buildIndexedNames;
    private static determinePredictionType;
    render(): React.ReactNode;
    private readonly buildAccuracyListForPrecomputedMetrics;
    private readonly setTab;
    private readonly setSelectedModel;
    private readonly setAccuracyKey;
    private readonly setParityKey;
    private readonly setBinIndex;
    private readonly handleTabClick;
    private readonly binningSet;
    private generateBinVectorForBin;
    private readonly buildFeatureBins;
    private readonly saveBin;
}
